import { mdiCompass, mdiContacts } from '@mdi/js'
import Icon from '@mdi/react'

import { Link, routes } from '@redwoodjs/router'
import { Metadata } from '@redwoodjs/web'

import TitlesCell from 'src/components/Title/TitlesCell'

const HomePage = () => {
  return (
    <>
      <Metadata title="Home" />

      <div className="hero min-h-[calc(100vh-6rem)]">
        <div className="hero-content flex flex-col gap-8">
          <div className="text-center">
            <TitlesCell className="text-primary" />
          </div>
          <div className="flex gap-2">
            <Link
              to={routes.projects()}
              className="btn btn-primary btn-outline sm:btn-wide btn-lg"
            >
              <Icon path={mdiCompass} className="size-6" />
              Explore
            </Link>
            <Link
              to={routes.contact()}
              className="btn btn-primary btn-outline sm:btn-wide btn-lg"
            >
              <Icon path={mdiContacts} className="size-6" />
              Contact
            </Link>
          </div>
        </div>
      </div>
    </>
  )
}

export default HomePage
